Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.common
Class MethodInvocationMetricsGroup_test

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.hyperic.hq.common.MethodInvocationMetricsGroup_test

All Implemented Interfaces:
  junit.framework.Test

    public class MethodInvocationMetricsGroup_test

extends junit.framework.TestCase

Tests the MethodInvocationMetricsGroup class.

Constructor Summary
`MethodInvocationMetricsGroup_test(java.lang.String name)` Creates an instance.

Method Summary
`void` | `testAddInvocationsFlushExplicitly()`
`void` | `testAddInvocationsPriorToFlushBelowQueueCapacity()`
`void` | `testAddInvocationsPriorToFlushExceedQueueCapacity()`
`void` | `testAddInvocationsSynchronously()`
`void` | `testAsyncInsertionPerformance()` Test the performance of adding method invocation times asynchronously, evaluating the group metrics only on flush.
`void` | `testGetMetricsNoInvocationTimesAdded()`
`void` | `testIllegalQueueCapacity()` Expect IllegalArgumentException.
`void` | `testMetricCalculations()`
`void` | `testMinInvocationTimeInitializedCorrectly()` The min invocation time should always be set initially to the first collected invocation time.
`void` | `testResetMetrics()`
`void` | `testSetGroupName()`
`void` | `testSynchInsertionPerformance()` Test the performance of adding method invocation times synchronously, evaluating the group metrics immediately.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodInvocationMetricsGroup_test

    public MethodInvocationMetricsGroup_test(java.lang.String name)

  Creates an instance.

  Parameters:
    `name` -

Method Detail

### testIllegalQueueCapacity

    public void testIllegalQueueCapacity()
                                  throws java.lang.Exception

  Expect IllegalArgumentException.

  Throws:
    `java.lang.Exception`

### testSetGroupName

    public void testSetGroupName()

### testGetMetricsNoInvocationTimesAdded

    public void testGetMetricsNoInvocationTimesAdded()

### testAddInvocationsPriorToFlushBelowQueueCapacity

    public void testAddInvocationsPriorToFlushBelowQueueCapacity()

### testAddInvocationsPriorToFlushExceedQueueCapacity

    public void testAddInvocationsPriorToFlushExceedQueueCapacity()

### testAddInvocationsSynchronously

    public void testAddInvocationsSynchronously()

### testAddInvocationsFlushExplicitly

    public void testAddInvocationsFlushExplicitly()

### testMinInvocationTimeInitializedCorrectly

    public void testMinInvocationTimeInitializedCorrectly()

  The min invocation time should always be set initially to the first collected invocation time.

### testMetricCalculations

    public void testMetricCalculations()

### testResetMetrics

    public void testResetMetrics()

### testSynchInsertionPerformance

    public void testSynchInsertionPerformance()
                                       throws java.lang.Exception

  Test the performance of adding method invocation times synchronously, evaluating the group metrics immediately.

  Throws:
    `java.lang.Exception`

### testAsyncInsertionPerformance

    public void testAsyncInsertionPerformance()
                                       throws java.lang.Exception

  Test the performance of adding method invocation times asynchronously, evaluating the group metrics only on flush.

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.